%define modulename PBXManager

Name:           vtigercrm-%{modulename}
Version:        1.1
Release:        0beta4%{?dist}
Summary:        PBXManager module for Vtiger CRM
Summary(fr):    Module PBXManager pour Vtiger CRM

Group:          Applications/Internet
License:        GPLv2+
URL:            http://vtiger.com/
Source0: http://downloads.sourceforge.net/project/vtigercrm/vtiger%20CRM%20%{version}/Core%20Product/%{modulename}.zip
Source1: init
Source2: vtiger_safe_astclient

Patch0: PBXManager-1.1-use_local_channel.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires: vtigercrm >= 5.1.0

%description
This module provides an integration between Asterisk PBX and Vtiger CRM

%description -l fr
Ce module fournit une intégration entre le PBX Asterisk et Vtiger CRM


%prep
rm -rf $RPM_BUILD_DIR/*
%setup -q -c %{modulename}

%patch0 -p1

%build
# empty build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_datadir}/vtigercrm/cron/modules/%{modulename}
mkdir -p %{buildroot}/%{_datadir}/vtigercrm/modules/
mkdir -p %{buildroot}/%{_datadir}/vtigercrm/Smarty/templates/modules/%{modulename}
mkdir -p %{buildroot}/%{_initrddir}
mkdir -p %{buildroot}/%{_sbindir}


cp -a cron/* %{buildroot}/%{_datadir}/vtigercrm/cron/modules/%{modulename}/
cp -a modules/* %{buildroot}/%{_datadir}/vtigercrm/modules/
cp -a templates/* %{buildroot}/%{_datadir}/vtigercrm/Smarty/templates/modules/%{modulename}/
sed -e 's/__APACHE_USER__/apache/' %{SOURCE1} > %{buildroot}/%{_initrddir}/vtastclient
cp -a %{SOURCE2} %{buildroot}/%{_sbindir}/

find %{buildroot}/%{_datadir}/vtigercrm/ -type f -exec chmod 644 {} \;
find %{buildroot}/%{_datadir}/vtigercrm/ -type d -exec chmod 755 {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)

%attr(0755,apache,root) %{_datadir}/vtigercrm
%attr(0755,-,-) %{_initrddir}/*
%attr(0755,-,-) %{_sbindir}/*

%changelog
* Tue Oct 12 2009 Daniel B. <daniel@firewall-services.com> - 1.1-0beta4.el5
- Run AsteriskClient.php as apache user

* Tue Oct 12 2009 Daniel B. <daniel@firewall-services.com> - 1.1-0beta0
- initial RPM

